path: /build/build/net-imap-dev-ruby-0.4.11.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/net-imap -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/net-imap
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/net-imap && luet-portage --dir /pkgdir/net-imap
    dev-ruby/net-imap && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a51d5d91d6c866eb460fcd12fc6992d882b9191d4af0dcea527953fa54f336ff
  package:
    name: net-imap
    version: 0.4.11
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Ruby client api for Internet Message Access Protocol
    uri:
    - https://github.com/ruby/net-imap
    license: '|| ( Ruby BSD-2 )'
    buildtimestamp: 2024-05-21 19:20:37.441470301 +0000 UTC m=+71.990535317
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/net-imap
      kit: ruby-kit
      original.package.name: dev-ruby/net-imap
      original.package.slot: "0"
      original.package.version: 0.4.11
    treedir: /build/packages
  package_dir: /pkgdir/net-imap
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 746c6bbffeb9c50094e9c43e6f4c7963fb4cbeb2809467c851fa27308f79006b
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/bin/check-regexps
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/authenticators.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/command_data.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/data_encoding.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/deprecated_client_options.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/errors.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/fetch_data.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/flags.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/response_data.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/response_parser/parser_utils.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/response_parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/anonymous_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/authentication_exchange.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/authenticators.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/client_adapter.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/cram_md5_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/digest_md5_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/external_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/gs2_header.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/login_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/oauthbearer_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/plain_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/protocol_adapters.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/scram_algorithm.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/scram_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/stringprep.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl/xoauth2_authenticator.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sasl_adapter.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/search_result.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/sequence_set.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep/nameprep.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep/saslprep.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep/saslprep_tables.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep/tables.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep/trace.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap/stringprep.rb
- usr/lib64/ruby/gems/3.1.0/gems/net-imap-0.4.11/lib/net/imap.rb
- usr/lib64/ruby/gems/3.1.0/specifications/net-imap-0.4.11.gemspec
- usr/share/doc/net-imap-0.4.11/README.md.bz2
- var/db/pkg/dev-ruby/net-imap-0.4.11/BDEPEND
- var/db/pkg/dev-ruby/net-imap-0.4.11/BUILD_TIME
- var/db/pkg/dev-ruby/net-imap-0.4.11/CATEGORY
- var/db/pkg/dev-ruby/net-imap-0.4.11/CBUILD
- var/db/pkg/dev-ruby/net-imap-0.4.11/CFLAGS
- var/db/pkg/dev-ruby/net-imap-0.4.11/CHOST
- var/db/pkg/dev-ruby/net-imap-0.4.11/CONTENTS
- var/db/pkg/dev-ruby/net-imap-0.4.11/COUNTER
- var/db/pkg/dev-ruby/net-imap-0.4.11/CXXFLAGS
- var/db/pkg/dev-ruby/net-imap-0.4.11/DEFINED_PHASES
- var/db/pkg/dev-ruby/net-imap-0.4.11/DEPEND
- var/db/pkg/dev-ruby/net-imap-0.4.11/DESCRIPTION
- var/db/pkg/dev-ruby/net-imap-0.4.11/EAPI
- var/db/pkg/dev-ruby/net-imap-0.4.11/FEATURES
- var/db/pkg/dev-ruby/net-imap-0.4.11/HOMEPAGE
- var/db/pkg/dev-ruby/net-imap-0.4.11/INHERITED
- var/db/pkg/dev-ruby/net-imap-0.4.11/IUSE
- var/db/pkg/dev-ruby/net-imap-0.4.11/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/net-imap-0.4.11/KEYWORDS
- var/db/pkg/dev-ruby/net-imap-0.4.11/LDFLAGS
- var/db/pkg/dev-ruby/net-imap-0.4.11/LICENSE
- var/db/pkg/dev-ruby/net-imap-0.4.11/PF
- var/db/pkg/dev-ruby/net-imap-0.4.11/RDEPEND
- var/db/pkg/dev-ruby/net-imap-0.4.11/RESTRICT
- var/db/pkg/dev-ruby/net-imap-0.4.11/SIZE
- var/db/pkg/dev-ruby/net-imap-0.4.11/SLOT
- var/db/pkg/dev-ruby/net-imap-0.4.11/USE
- var/db/pkg/dev-ruby/net-imap-0.4.11/environment.bz2
- var/db/pkg/dev-ruby/net-imap-0.4.11/net-imap-0.4.11.ebuild
- var/db/pkg/dev-ruby/net-imap-0.4.11/repository
package_cacheimage: ""
runtime:
  name: net-imap
  version: 0.4.11
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Ruby client api for Internet Message Access Protocol
  uri:
  - https://github.com/ruby/net-imap
  license: '|| ( Ruby BSD-2 )'
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/net-imap
    kit: ruby-kit
    original.package.name: dev-ruby/net-imap
    original.package.slot: "0"
    original.package.version: 0.4.11
